Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.beanutils.locale
Class LocaleBeanUtils.Descriptor

    java.lang.Object
      org.apache.commons.beanutils.locale.LocaleBeanUtils.Descriptor

Enclosing class:
  LocaleBeanUtils

Deprecated. moved into `LocaleBeanUtils`

    protected static class LocaleBeanUtils.Descriptor

extends Object

Constructor Summary
`LocaleBeanUtils.Descriptor(Object target, String name, String propName, String key, int index)` Deprecated. Construct a descriptor instance for the target bean and property.

Method Summary
`int` | `getIndex()` Deprecated. Return indexed property index.
`String` | `getKey()` Deprecated. Return the mapped property key.
`String` | `getName()` Deprecated. Return property name (includes indexed/mapped expr).
`String` | `getPropName()` Deprecated. Return the property name.
`Object` | `getTarget()` Deprecated. Return the target bean.
`void` | `setIndex(int index)` Deprecated. Set the indexed property index.
`void` | `setKey(String key)` Deprecated. Set the mapped property key.
`void` | `setName(String name)` Deprecated. Set the property name (includes indexed/mapped expr).
`void` | `setPropName(String propName)` Deprecated. Set the property name.
`void` | `setTarget(Object target)` Deprecated. Set the target bean.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LocaleBeanUtils.Descriptor

    public LocaleBeanUtils.Descriptor(Object target,
                                      String name,
                                      String propName,
                                      String key,
                                      int index)

  Deprecated.
  Construct a descriptor instance for the target bean and property.

  Parameters:
    `target` - The target bean
    `name` - The property name (includes indexed/mapped expr)
    `propName` - The property name
    `key` - The mapped property key (if any)
    `index` - The indexed property index (if any)

Method Detail

### getTarget

    public Object getTarget()

  Deprecated.
  Return the target bean.

  Returns:
    The descriptors target bean

### setTarget

    public void setTarget(Object target)

  Deprecated.
  Set the target bean.

  Parameters:
    `target` - The target bean

### getKey

    public String getKey()

  Deprecated.
  Return the mapped property key.

  Returns:
    the mapped property key (if any)

### setKey

    public void setKey(String key)

  Deprecated.
  Set the mapped property key.

  Parameters:
    `key` - The mapped property key (if any)

### getIndex

    public int getIndex()

  Deprecated.
  Return indexed property index.

  Returns:
    indexed property index (if any)

### setIndex

    public void setIndex(int index)

  Deprecated.
  Set the indexed property index.

  Parameters:
    `index` - The indexed property index (if any)

### getName

    public String getName()

  Deprecated.
  Return property name (includes indexed/mapped expr).

  Returns:
    The property name (includes indexed/mapped expr)

### setName

    public void setName(String name)

  Deprecated.
  Set the property name (includes indexed/mapped expr).

  Parameters:
    `name` - The property name (includes indexed/mapped expr)

### getPropName

    public String getPropName()

  Deprecated.
  Return the property name.

  Returns:
    The property name

### setPropName

    public void setPropName(String propName)

  Deprecated.
  Set the property name.

  Parameters:
    `propName` - The property name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2010 The Apache Software Foundation. All Rights Reserved.